# PublishToMavenRepository

API Documentation: | `PublishToMavenRepository`

Note: This class is incubating and may change in a future version of Gradle.

Publishes a `MavenPublication` to a `MavenArtifactRepository`.

### Properties

Property | Description
`publication` | Incubating The publication to be published.
`repository` | Incubating The repository to publish to.

### Property details

#### `MavenPublication` `publication`

Note: This property is incubating and may change in a future version of Gradle.

The publication to be published.

#### `MavenArtifactRepository` `repository`

Note: This property is incubating and may change in a future version of Gradle.

The repository to publish to.

### Script blocks

No script blocks

### Methods

No methods